<Header>
  <!--Navbar-->
  <mdb-navbar
    SideClass="navbar fixed-top navbar-expand-md navbar-dark scrolling-navbar intro-fixed-nav"
    mdbStickyHeader
    [containerInside]="false"
  >
    <!-- Navbar brand -->
    <mdb-navbar-brand
      ><a class="navbar-brand" href="#">Zeely</a></mdb-navbar-brand
    >

    <!-- Collapsible content -->
    <links>
      <!-- Links -->
      <ul class="navbar-nav mr-auto">
        <li class="nav-item active">
          <div *ngIf="cookieConnexion.get('isOP') == 'true'">
            <a
              class="nav-link waves-light"
              mdbWavesEffect
              (click)="redirectTo()"
              >Panel Admin</a
            >
          </div>
        </li>
      </ul>
      <!-- Links -->

      <div class="auth">
        <ul class="navbar-nav ml-auto nav-flex-icons">
          <li class="nav-item avatar btn-group" dropdown>
            <a
              dropdownToggle
              mdbWavesEffect
              type="button"
              class="nav-link dropdown-toggle waves-light"
              mdbWavesEffect
            >
              <mdb-icon fas icon="user-circle"></mdb-icon>
            </a>
            <div
              *dropdownMenu
              class="dropdown-menu dropdown dropdown-primary"
              role="menu"
            >
              <a
                class="dropdown-item waves-light"
                type="button"
                (click)="register.show()"
                *ngIf="cookieConnexion.get('isloggedIn') != 'true'"
                mdbWavesEffect
              >
                S'inscrire</a
              >

              <a
                class="dropdown-item waves-light"
                type="button"
                (click)="login.show()"
                mdbWavesEffect
                *ngIf="cookieConnexion.get('isloggedIn') != 'true'"
                >Se connecter</a
              >
              <a
                class="dropdown-item waves-light"
                type="button"
                (click)="myAccount()"
                mdbWavesEffect
                *ngIf="cookieConnexion.get('isloggedIn') == 'true'"
                >Mon Compte</a
              >

              <a
                class="dropdown-item waves-light"
                type="button"
                (click)="SignOut()"
                mdbWavesEffect
                *ngIf="cookieConnexion.get('isloggedIn') == 'true'"
                >Se déconnecter</a
              >
            </div>
          </li>
        </ul>
      </div>
    </links>
    <!-- Collapsible content -->
  </mdb-navbar>
  <!--/.Navbar-->

  <!--Modal Login-->
  <div
    mdbModal
    #login="mdbModal"
    class="modal fade top"
    id="frameModalTop"
    tabindex="-1"
    role="dialog"
    aria-labelledby="myModalLabel"
    aria-hidden="true"
    style="overflow-y: auto"
  >
    <!--Dialog-->
    <div class="modal-dialog modal-notify modal-info" role="document">
      <!--Content-->
      <div class="modal-content">
        <!--Header-->
        <div class="modal-header text-center">
          <h4 class="modal-title white-text w-100 font-weight-bold">
            Connexion
          </h4>
          <button
            type="button"
            class="close"
            data-dismiss="modal"
            aria-label="Close"
            (click)="login.hide()"
          >
            <span aria-hidden="true" class="white-text">&times;</span>
          </button>
        </div>

        <!--Body-->
        <div class="modal-body">
          <div class="md-form mb-5">
            <mdb-icon fas icon="envelope" class="prefix grey-text"></mdb-icon>
            <input
              type="email"
              id="defaultForm-emailLogin"
              [formControl]="loginFormModalEmail"
              class="form-control"
              mdbInput
              minlength="5"
              [mdbValidate]="true"
              [(ngModel)]="user.email"
            />
            <label for="defaultForm-emailLogin">Votre email</label>
            <mdb-success
              *ngIf="
                loginFormModalEmail.valid &&
                (loginFormModalEmail.dirty || loginFormModalEmail.touched)
              "
            ></mdb-success>
            <mdb-error
              *ngIf="
                loginFormModalEmail.invalid &&
                (loginFormModalEmail.dirty || loginFormModalEmail.touched)
              "
            >
              Champs non valide
            </mdb-error>
          </div>

          <div class="md-form mb-4">
            <mdb-icon fas icon="lock" class="prefix grey-text"></mdb-icon>
            <input
              type="password"
              id="defaultForm-passLogin"
              [formControl]="loginFormModalPassword"
              class="form-control"
              mdbInput
              minlength="6"
              [mdbValidate]="true"
              [(ngModel)]="user.password"
            />
            <label for="defaultForm-passLogin">Votre mot de passe</label>
            <mdb-error
              *ngIf="
                loginFormModalPassword.invalid &&
                (loginFormModalPassword.dirty || loginFormModalPassword.touched)
              "
            >
              Input invalid
            </mdb-error>
            <mdb-success
              *ngIf="
                loginFormModalPassword.valid &&
                (loginFormModalPassword.dirty || loginFormModalPassword.touched)
              "
            >
            </mdb-success>
          </div>
        </div>
        <!--/.Body-->

        <!--Footer-->
        <div class="modal-footer justify-content-center">
          <button
            type="button"
            mdbBtn
            color="info"
            class="waves-effect"
            [disabled]="validatingForm.invalid"
            mdbWavesEffect
            (click)="onConnexion()"
          >
            Se connecter
          </button>

          <button
            type="button"
            mdbBtn
            color="info"
            class="waves-effect"
            (click)="register.show()"
            (click)="login.hide()"
            mdbWavesEffect
          >
            S'inscrire
          </button>
        </div>
        <!--Footer-->
      </div>
      <!--/.Content-->
    </div>
    <!--/.Dialog-->
  </div>
  <!--/.Modal-->

  <!--Modal Register-->
  <div
    mdbModal
    #register="mdbModal"
    class="modal fade top"
    id="frameModalTop"
    tabindex="-1"
    role="dialog"
    aria-labelledby="myModalLabel"
    aria-hidden="true"
    style="overflow-y: auto"
  >
    <!--Dialog-->
    <div class="modal-dialog modal-notify modal-info" role="document">
      <!--Content-->
      <div class="modal-content">
        <!--Header-->
        <div class="modal-header text-center">
          <h4 class="modal-title white-text w-100 font-weight-bold">
            S'inscrire
          </h4>
          <button
            type="button"
            class="close"
            data-dismiss="modal"
            aria-label="Close"
            (click)="register.hide()"
          >
            <span aria-hidden="true" class="white-text">&times;</span>
          </button>
        </div>

        <!--Body-->
        <div class="modal-body">
          <div class="md-form mb-5">
            <mdb-icon fas icon="envelope" class="prefix grey-text"></mdb-icon>
            <input
              type="email"
              id="defaultForm-emailRegister"
              [formControl]="registerFormModalEmail"
              class="form-control"
              mdbInput
              minlength="5"
              [mdbValidate]="true"
            />
            <label for="defaultForm-emailRegister">Votre email</label>
            <mdb-success
              *ngIf="
                registerFormModalEmail.valid &&
                (registerFormModalEmail.dirty || registerFormModalEmail.touched)
              "
            >
            </mdb-success>
          </div>

          <div class="md-form mb-5">
            <mdb-icon fas icon="lock" class="prefix grey-text"></mdb-icon>
            <input
              type="password"
              id="defaultForm-passRegister2"
              [formControl]="registerFormModalPassword2"
              class="form-control"
              mdbInput
              minlength="6"
              [mdbValidate]="true"
            />
            <label for="defaultForm-passRegister2">Votre mot de passe</label>
            <mdb-error
              *ngIf="
                registerFormModalPassword2.invalid &&
                (registerFormModalPassword2.dirty ||
                  registerFormModalPassword2.touched)
              "
            >
              Champs non valide - Il faut un minimum de 6 caractères
            </mdb-error>
            <mdb-success
              *ngIf="
                registerFormModalPassword2.valid &&
                (registerFormModalPassword2.dirty ||
                  registerFormModalPassword2.touched)
              "
            >
            </mdb-success>
          </div>

          <div class="md-form mb-5">
            <mdb-icon fas icon="lock" class="prefix grey-text"></mdb-icon>
            <input
              type="password"
              id="defaultForm-passRegister"
              [formControl]="registerFormModalPassword"
              class="form-control"
              mdbInput
              minlength="6"
              [mdbValidate]="true"
            />
            <label for="defaultForm-passRegister"
              >Confirmer votre mot de passe</label
            >
            <mdb-error
              *ngIf="
                registerFormModalPassword.invalid &&
                (registerFormModalPassword.dirty ||
                  registerFormModalPassword.touched)
              "
            >
            </mdb-error>
            <mdb-success
              *ngIf="
                registerFormModalPassword.valid &&
                (registerFormModalPassword.dirty ||
                  registerFormModalPassword.touched)
              "
            >
            </mdb-success>
          </div>

          <div class="md-form mb-5">
            <mdb-icon
              fas
              icon="fas fa-file-signature"
              class="prefix grey-text"
            ></mdb-icon>
            <input
              type="text"
              id="defaultForm-LastNameRegister"
              [formControl]="registerFormModalLastName"
              class="form-control"
              mdbInput
              minlength="2"
              [mdbValidate]="true"
            />
            <label for="defaultForm-LastNameRegister"
              >Votre Nom de Famille</label
            >
          </div>

          <div class="md-form mb-5">
            <mdb-icon
              fas
              icon="fas fa-file-signature"
              class="prefix grey-text"
            ></mdb-icon>
            <input
              type="text"
              id="defaultForm-FirstNameRegister"
              [formControl]="registerFormModalFirstName"
              class="form-control"
              mdbInput
              minlength="2"
              [mdbValidate]="true"
            />
            <label for="defaultForm-FirstNameRegister">Votre Prénom</label>
          </div>
        </div>
        <!--/.Body-->

        <!--Footer-->

        <span
          *ngIf="
            registerFormModalPassword.value != registerFormModalPassword2.value
          "
          class="note note-danger mx-2"
        >
          Les mots de passe ne sont pas identiques
        </span>
        <div class="modal-footer justify-content-center">
          <button
            type="button"
            mdbBtn
            color="info"
            class="waves-effect"
            mdbWavesEffect
            [disabled]="registerForm.invalid"
            (click)="onInscription()"
          >
            S'inscrire
          </button>
        </div>
        <!--Footer-->
      </div>
      <!--/.Content-->
    </div>
    <!--/.Dialog-->
  </div>
  <!--/.Modal-->
</Header>
